## org.apache.lucene.index
Class MergePolicy.MergeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.lucene.index.MergePolicy.MergeException

All Implemented Interfaces:
  Serializable

Enclosing class:
  MergePolicy

    public static class MergePolicy.MergeException

extends RuntimeException

Exception thrown if there are any problems while executing a merge.

See Also:
  Serialized Form

Constructor Summary
`MergePolicy.MergeException(String message)`
`MergePolicy.MergeException(Throwable exc)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MergePolicy.MergeException

    public MergePolicy.MergeException(String message)

### MergePolicy.MergeException

    public MergePolicy.MergeException(Throwable exc)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.